<?php

namespace weatherapi;

require_once WD . '/modules/weatherapi/config/weatherapi_enabled_c.php';
require_once WD . '/modules/weatherapi/config/weatherapi_secret_key_c.php';

use traits\module_config_t;
use weatherapi\config\weatherapi_enabled_c;
use weatherapi\config\weatherapi_secret_key_c;

class weatherapi_c
{
    use module_config_t;

    public weatherapi_enabled_c $enabled;
    public weatherapi_secret_key_c $secret_key;

    public function __construct()
    {
        $this->setupConfig('weatherapi');
        $this->allowUpdate([
            weatherapi_enabled_c::class,
            weatherapi_secret_key_c::class,
        ]);

        $this->enabled = new weatherapi_enabled_c();
        $this->secret_key = new weatherapi_secret_key_c();
    }
}
